<?php

/*
* @package   s9e\TextFormatter
* @copyright Copyright (c) 2010-2018 The s9e Authors
* @license   http://www.opensource.org/licenses/mit-license.php The MIT License
*/
namespace s9e\TextFormatter\Plugins\MediaEmbed\Configurator\Collections;
class CachedDefinitionCollection extends SiteDefinitionCollection
{
	protected $items = array(
		'abcnews'=>array('attributes'=>array(),'example'=>'http://abcnews.go.com/WNN/video/dog-goes-wild-when-owner-leaves-22936610','extract'=>array('!abcnews\\.go\\.com/(?:video/embed\\?id=|[^/]+/video/[^/]+-)(?\'id\'\\d+)!'),'homepage'=>'http://abcnews.go.com/','host'=>array('abcnews.go.com'),'iframe'=>array('src'=>'//abcnews.go.com/video/embed?id={@id}'),'name'=>'ABC News','scrape'=>array(),'tags'=>array('news')),
		'amazon'=>array('attributes'=>array(),'example'=>array('http://www.amazon.ca/gp/product/B00GQT1LNO/','http://www.amazon.co.jp/gp/product/B003AKZ6I8/','https://www.amazon.co.uk/dp/B00EO4NN5C/','http://www.amazon.com/dp/B002MUC0ZY','http://www.amazon.com/The-BeerBelly-200-001-80-Ounce-Belly/dp/B001RB2CXY/','https://www.amazon.com/gp/product/B00ST0KGCU/','http://www.amazon.de/Netgear-WN3100RP-100PES-Repeater-integrierte-Steckdose/dp/B00ET2LTE6/','https://www.amazon.es/Microsoft-Sculpt-Ergonomic-Desktop-L5V-00011/dp/B00FO10ZK0/','http://www.amazon.fr/Vans-Authentic-Baskets-mixte-adulte/dp/B005NIKPAY/','https://www.amazon.in/Vans-Unisex-Classic-Loafers-Moccasins/dp/B01I3LWMVC/','https://www.amazon.it/Super-Maxi-Pot-de-Nutella/dp/B0090GJ8VM/','https://www.amazon.com/dp/B0018CDWLS/'),'extract'=>array('#/(?:dp|gp/product)/(?\'id\'[A-Z0-9]+)#','#amazon\\.(?:co\\.)?(?\'tld\'ca|de|es|fr|in|it|jp|uk)#'),'homepage'=>'http://affiliate-program.amazon.com/','host'=>array('amazon.ca','amazon.co.uk','amazon.co.jp','amazon.com','amazon.de','amazon.es','amazon.fr','amazon.in','amazon.it'),'iframe'=>array('height'=>240,'src'=>'//ws-<xsl:choose><xsl:when test="@tld=\'jp\'">fe</xsl:when><xsl:when test="@tld and contains(\'desfrinituk\',@tld)">eu</xsl:when><xsl:otherwise>na</xsl:otherwise></xsl:choose>.assoc-amazon.com/widgets/cm?l=as1&amp;f=ifr&amp;o=<xsl:choose><xsl:when test="@tld=\'ca\'">15&amp;t=<xsl:value-of select="$AMAZON_ASSOCIATE_TAG_CA"/></xsl:when><xsl:when test="@tld=\'de\'">3&amp;t=<xsl:value-of select="$AMAZON_ASSOCIATE_TAG_DE"/></xsl:when><xsl:when test="@tld=\'es\'">30&amp;t=<xsl:value-of select="$AMAZON_ASSOCIATE_TAG_ES"/></xsl:when><xsl:when test="@tld=\'fr\'">8&amp;t=<xsl:value-of select="$AMAZON_ASSOCIATE_TAG_FR"/></xsl:when><xsl:when test="@tld=\'in\'">31&amp;t=<xsl:value-of select="$AMAZON_ASSOCIATE_TAG_IN"/></xsl:when><xsl:when test="@tld=\'it\'">29&amp;t=<xsl:value-of select="$AMAZON_ASSOCIATE_TAG_IT"/></xsl:when><xsl:when test="@tld=\'jp\'">9&amp;t=<xsl:value-of select="$AMAZON_ASSOCIATE_TAG_JP"/></xsl:when><xsl:when test="@tld=\'uk\'">2&amp;t=<xsl:value-of select="$AMAZON_ASSOCIATE_TAG_UK"/></xsl:when><xsl:otherwise>1&amp;t=<xsl:value-of select="$AMAZON_ASSOCIATE_TAG"/></xsl:otherwise></xsl:choose>&amp;asins=<xsl:value-of select="@id"/>','width'=>120),'name'=>'Amazon Product','parameters'=>array('AMAZON_ASSOCIATE_TAG'=>array('title'=>'Amazon Associate tag (.com)'),'AMAZON_ASSOCIATE_TAG_CA'=>array('title'=>'Amazon Associate tag (.ca)'),'AMAZON_ASSOCIATE_TAG_DE'=>array('title'=>'Amazon Associate tag (.de)'),'AMAZON_ASSOCIATE_TAG_ES'=>array('title'=>'Amazon Associate tag (.es)'),'AMAZON_ASSOCIATE_TAG_FR'=>array('title'=>'Amazon Associate tag (.fr)'),'AMAZON_ASSOCIATE_TAG_IN'=>array('title'=>'Amazon Associate tag (.in)'),'AMAZON_ASSOCIATE_TAG_IT'=>array('title'=>'Amazon Associate tag (.it)'),'AMAZON_ASSOCIATE_TAG_JP'=>array('title'=>'Amazon Associate tag (.co.jp)'),'AMAZON_ASSOCIATE_TAG_UK'=>array('title'=>'Amazon Associate tag (.co.uk)')),'scrape'=>array()),
		'audioboom'=>array('attributes'=>array(),'example'=>array('http://audioboo.fm/boos/2439994-deadline-day-update','http://audioboom.com/posts/2493448-robert-patrick'),'extract'=>array('!audioboo(?:\\.f|m\\.co)m/(?:boo|post)s/(?\'id\'\\d+)!'),'homepage'=>'https://audioboom.com/','host'=>array('audioboo.fm','audioboom.com'),'iframe'=>array('height'=>150,'max-width'=>700,'src'=>'//audioboom.com/posts/{@id}/embed/v3','width'=>'100%'),'name'=>'audioBoom','scrape'=>array(),'tags'=>array('podcasts')),
		'audiomack'=>array('attributes'=>array(),'choose'=>array('otherwise'=>array('iframe'=>array('height'=>252,'max-width'=>900,'src'=>'https://www.audiomack.com/embed/song/{@id}','width'=>'100%')),'when'=>array('iframe'=>array('height'=>400,'max-width'=>900,'src'=>'https://www.audiomack.com/embed/album/{@id}','width'=>'100%'),'test'=>'@mode=\'album\'')),'example'=>array('http://www.audiomack.com/song/your-music-fix/jammin-kungs-remix-1','http://www.audiomack.com/album/chance-the-rapper/acid-rap'),'extract'=>array('!audiomack\\.com/(?\'mode\'album|song)/(?\'id\'[-\\w]+/[-\\w]+)!'),'homepage'=>'http://www.audiomack.com/','host'=>array('audiomack.com'),'name'=>'Audiomack','scrape'=>array(),'tags'=>array('music')),
		'bandcamp'=>array('attributes'=>array(),'example'=>array('http://proleter.bandcamp.com/album/curses-from-past-times-ep','http://proleter.bandcamp.com/track/downtown-irony','http://therunons.bandcamp.com/track/still-feel'),'extract'=>array(),'homepage'=>'http://bandcamp.com/','host'=>array('bandcamp.com'),'iframe'=>array('height'=>400,'src'=>'//bandcamp.com/EmbeddedPlayer/size=large/minimal=true/<xsl:choose><xsl:when test="@album_id">album=<xsl:value-of select="@album_id"/><xsl:if test="@track_num">/t=<xsl:value-of select="@track_num"/></xsl:if></xsl:when><xsl:otherwise>track=<xsl:value-of select="@track_id"/></xsl:otherwise></xsl:choose>','width'=>400),'name'=>'Bandcamp','scrape'=>array(array('extract'=>array('!/album=(?\'album_id\'\\d+)!'),'match'=>array('!bandcamp\\.com/album/.!')),array('extract'=>array('!"album_id":(?\'album_id\'\\d+)!','!"track_num":(?\'track_num\'\\d+)!','!/track=(?\'track_id\'\\d+)!'),'match'=>array('!bandcamp\\.com/track/.!'))),'tags'=>array('music')),
		'bbcnews'=>array('attributes'=>array('id'=>array('filterChain'=>array('stripslashes'))),'example'=>'http://www.bbc.com/news/video_and_audio/must_see/42847060/calls-to-clean-off-banksy-mural-in-hull','extract'=>array(),'homepage'=>'http://www.bbc.com/news/video_and_audio/','host'=>array('bbc.com'),'iframe'=>array('src'=>'//www.bbc.com<xsl:choose><xsl:when test="starts-with(@id,\'av/\')">/news/<xsl:value-of select="@id"/>/embed</xsl:when><xsl:when test="starts-with(@playlist,\'/news/\')and contains(@playlist,\'A\')"><xsl:value-of select="substring-before(@playlist,\'A\')"/>/embed</xsl:when><xsl:otherwise>/news/av/embed/<xsl:value-of select="@id"/></xsl:otherwise></xsl:choose>'),'name'=>'BBC News','scrape'=>array(array('extract'=>array('!bbc\\.com\\\\/news\\\\/av\\\\/embed\\\\/(?\'id\'[-\\\\\\w/]+)!'),'match'=>array('!bbc\\.com/news/\\w!'))),'tags'=>array('news')),
		'bleacherreport'=>array('attributes'=>array(),'example'=>'http://bleacherreport.com/articles/2418813-steph-curry-salsas-after-teammate-leandro-barbosa-converts-difficult-layup','extract'=>array(),'homepage'=>'http://bleacherreport.com/','host'=>array('bleacherreport.com'),'iframe'=>array('src'=>'//bleacherreport.com/video_embed?id={@id}'),'name'=>'Bleacher Report videos','scrape'=>array(array('extract'=>array('!id="video-(?\'id\'[-\\w]+)!'),'match'=>array('!/articles/.!'))),'tags'=>array('sports')),
		'break'=>array('attributes'=>array(),'example'=>'http://www.break.com/video/video-game-playing-frog-wants-more-2278131','extract'=>array('!break\\.com/video/.*-(?\'id\'\\d+)$!'),'homepage'=>'http://www.break.com/','host'=>array('break.com'),'iframe'=>array('height'=>280,'src'=>'//break.com/embed/{@id}','width'=>464),'name'=>'Break','scrape'=>array(),'tags'=>array('entertainment')),
		'brightcove'=>array('attributes'=>array('bckey'=>array('required'=>\false)),'example'=>array('https://players.brightcove.net/219646971/default_default/index.html?videoId=4815779906001','https://link.brightcove.com/services/player/bcpid4773906090001?bckey=AQ~~,AAAAAA0Xi_s~,r1xMuE8k5Nyz5IyYc0Hzhl5eZ5cEEvlm&bctid=4815779906001'),'extract'=>array('@link\\.brightcove\\.com/services/player/bcpid(?\'bcpid\'\\d+).*?bckey=(?\'bckey\'[-,~\\w]+).*?bctid=(?\'bctid\'\\d+)@','@players\\.brightcove\\.net/(?\'bcpid\'\\d+)/.*?videoId=(?\'bctid\'\\d+)@'),'homepage'=>'https://www.brightcove.com/','host'=>array('link.brightcove.com','players.brightcove.net'),'iframe'=>array('src'=>'https://<xsl:choose><xsl:when test="@bckey">link.brightcove.com/services/player/bcpid<xsl:value-of select="@bcpid"/>?bckey=<xsl:value-of select="@bckey"/>&amp;bctid=<xsl:value-of select="@bctid"/>&amp;secureConnections=true&amp;secureHTMLConnections=true&amp;autoStart=false&amp;height=360&amp;width=640</xsl:when><xsl:otherwise>players.brightcove.net/<xsl:value-of select="@bcpid"/>/default_default/index.html?videoId=<xsl:value-of select="@bctid"/></xsl:otherwise></xsl:choose>'),'name'=>'Brightcove','scrape'=>array(),'tags'=>array('videos')),
		'cbsnews'=>array('attributes'=>array(),'choose'=>array('otherwise'=>array('flash'=>array('flashvars'=>'si=254&contentValue={@id}','padding-height'=>40,'src'=>'//i.i.cbsi.com/cnwk.1d/av/video/cbsnews/atlantis2/cbsnews_player_embed.swf')),'when'=>array(array('iframe'=>array('src'=>'https://www.cbsnews.com/embed/videos/{@id}/'),'test'=>'contains(@id, \'-\')'),array('flash'=>array('flashvars'=>'pType=embed&si=254&pid={@pid}','padding-height'=>38,'src'=>'//www.cbsnews.com/common/video/cbsnews_player.swf'),'test'=>'@pid'))),'example'=>'https://www.cbsnews.com/video/is-carbonated-water-a-healthy-option/','extract'=>array('#cbsnews\\.com/videos?/(?!watch/)(?\'id\'[-\\w]+)#','#cbsnews\\.com/video/watch/\\?id=(?\'id\'\\d+)#'),'homepage'=>'http://www.cbsnews.com/video/','host'=>array('cbsnews.com'),'name'=>'CBS News Video','scrape'=>array(),'tags'=>array('news')),
		'cnbc'=>array('attributes'=>array(),'example'=>'http://video.cnbc.com/gallery/?video=3000269279','extract'=>array('!cnbc\\.com/gallery/\\?video=(?\'id\'\\d+)!'),'flash'=>array('height'=>380,'src'=>'//plus.cnbc.com/rssvideosearch/action/player/id/{@id}/code/cnbcplayershare','width'=>400),'homepage'=>'http://www.cnbc.com/','host'=>array('video.cnbc.com'),'name'=>'CNBC','scrape'=>array(),'tags'=>array('news')),
		'cnn'=>array('attributes'=>array(),'example'=>array('http://edition.cnn.com/videos/tv/2015/06/09/airplane-yoga-rachel-crane-ts-orig.cnn','http://us.cnn.com/video/data/2.0/video/bestoftv/2013/10/23/vo-nr-prince-george-christening-arrival.cnn.html'),'extract'=>array('!cnn.com/videos/(?\'id\'.*\\.cnn)!','!cnn\\.com/video/data/2\\.0/video/(?\'id\'.*\\.cnn)!'),'homepage'=>'http://edition.cnn.com/video/','host'=>array('cnn.com'),'iframe'=>array('src'=>'//edition.cnn.com/video/api/embed.html#/video/{@id}'),'name'=>'CNN','scrape'=>array(),'tags'=>array('news')),
		'cnnmoney'=>array('attributes'=>array(),'example'=>'http://money.cnn.com/video/technology/2014/05/20/t-twitch-vp-on-future.cnnmoney/','extract'=>array('!money\\.cnn\\.com/video/(?\'id\'.*\\.cnnmoney)!'),'homepage'=>'http://money.cnn.com/video/','host'=>array('money.cnn.com'),'iframe'=>array('height'=>360,'src'=>'//money.cnn.com/.element/ssi/video/7.0/players/embed.player.html?videoid=video/{@id}&width=560&height=360','width'=>560),'name'=>'CNNMoney','scrape'=>array(),'tags'=>array('news')),
		'collegehumor'=>array('attributes'=>array(),'example'=>'http://www.collegehumor.com/video/1181601/more-than-friends','extract'=>array('!collegehumor\\.com/(?:video|embed)/(?\'id\'\\d+)!'),'homepage'=>'http://www.collegehumor.com/','host'=>array('collegehumor.com'),'iframe'=>array('height'=>369,'src'=>'//www.collegehumor.com/e/{@id}','width'=>600),'name'=>'CollegeHumor','scrape'=>array(),'tags'=>array('entertainment')),
		'comedycentral'=>array('attributes'=>array(),'example'=>array('http://www.cc.com/video-clips/uu5qz4/key-and-peele-dueling-hats','http://www.comedycentral.com/video-clips/uu5qz4/key-and-peele-dueling-hats','http://tosh.cc.com/video-clips/aet4lh/rc-car-crash'),'extract'=>array(),'homepage'=>'http://www.comedycentral.com/funny-videos','host'=>array('cc.com','comedycentral.com'),'iframe'=>array('src'=>'//media.mtvnservices.com/embed/{@id}'),'name'=>'Comedy Central','scrape'=>array(array('extract'=>array('!(?\'id\'mgid:arc:(?:episode|video):[.\\w]+:[-\\w]+)!'),'match'=>array('!c(?:c|omedycentral)\\.com/(?:full-episode|video-clip)s/!'))),'tags'=>array('entertainment')),
		'coub'=>array('attributes'=>array(),'example'=>'http://coub.com/view/6veusoty','extract'=>array('!coub\\.com/view/(?\'id\'\\w+)!'),'homepage'=>'http://coub.com/','host'=>array('coub.com'),'iframe'=>array('src'=>'//coub.com/embed/{@id}'),'name'=>'Coub','scrape'=>array(),'tags'=>array('videos')),
		'dailymotion'=>array('attributes'=>array(),'example'=>array('http://dai.ly/x5e9eog','http://www.dailymotion.com/video/x5e9eog'),'extract'=>array('!dai\\.ly/(?\'id\'[a-z0-9]+)!i','!dailymotion\\.com/(?:live/|swf/|user/[^#]+#video=|(?:related/\\d+/)?video/)(?\'id\'[a-z0-9]+)!i','!start=(?\'t\'\\d+)!'),'homepage'=>'http://www.dailymotion.com/','host'=>array('dai.ly','dailymotion.com'),'iframe'=>array('src'=>'//www.dailymotion.com/embed/video/<xsl:value-of select="@id"/><xsl:if test="@t">?start=<xsl:value-of select="@t"/></xsl:if>'),'name'=>'Dailymotion','oembed'=>array('url'=>'http://www.dailymotion.com/services/oembed'),'scrape'=>array(),'source'=>'http://www.dailymotion.com/doc/api/player.html','tags'=>array('videos')),
		'democracynow'=>array('attributes'=>array(),'example'=>array('http://www.democracynow.org/2014/7/2/dn_at_almedalen_week_at_swedens','http://www.democracynow.org/blog/2015/3/13/part_2_bruce_schneier_on_the','http://www.democracynow.org/shows/2006/2/20','http://www.democracynow.org/2015/5/21/headlines','http://m.democracynow.org/stories/15236'),'extract'=>array('!democracynow.org/(?:embed/)?(?\'id\'(?:\\w+/)?\\d+/\\d+/\\d+(?:/\\w+)?)!'),'homepage'=>'http://www.democracynow.org/','host'=>array('democracynow.org'),'iframe'=>array('src'=>'//www.democracynow.org/embed/<xsl:choose><xsl:when test="contains(@id,\'/headlines\')">headlines/<xsl:value-of select="substring-before(@id,\'/headlines\')"/></xsl:when><xsl:when test="starts-with(@id,\'2\')">story/<xsl:value-of select="@id"/></xsl:when><xsl:when test="starts-with(@id,\'shows/\')">show/<xsl:value-of select="substring-after(@id,\'/\')"/></xsl:when><xsl:otherwise><xsl:value-of select="@id"/></xsl:otherwise></xsl:choose>'),'name'=>'Democracy Now!','scrape'=>array(array('extract'=>array('!democracynow\\.org/(?\'id\'(?:\\w+/)?\\d+/\\d+/\\d+(?:/\\w+)?)\' rel=\'canonical!'),'match'=>array('!m\\.democracynow\\.org/stories/\\d!')))),
		'dumpert'=>array('attributes'=>array(),'example'=>'http://www.dumpert.nl/mediabase/6622577/4652b140/r_mi_gaillard_doet_halloween_prank.html','extract'=>array('!dumpert\\.nl/mediabase/(?\'id\'\\d+[/_]\\w+)!'),'homepage'=>'http://www.dumpert.nl/','host'=>array('dumpert.nl'),'iframe'=>array('src'=>'//www.dumpert.nl/embed/{translate(@id,\'_\',\'/\')}/'),'name'=>'dumpert','scrape'=>array(),'tags'=>array('.nl','entertainment')),
		'eighttracks'=>array('attributes'=>array(),'example'=>array('http://8tracks.com/lovinq/headphones-in-world-out','http://8tracks.com/lovinq/4982023'),'extract'=>array('!8tracks\\.com/[-\\w]+/(?\'id\'\\d+)(?=#|$)!'),'homepage'=>'http://8tracks.com/','host'=>array('8tracks.com'),'iframe'=>array('height'=>400,'src'=>'//8tracks.com/mixes/{@id}/player_v3_universal','width'=>400),'name'=>'8tracks','scrape'=>array(array('extract'=>array('!eighttracks://mix/(?\'id\'\\d+)!'),'match'=>array('!8tracks\\.com/[-\\w]+/\\D!'))),'tags'=>array('music')),
		'espn'=>array('attributes'=>array(),'example'=>array('http://www.espn.com/video/clip?id=17474659','http://www.espn.com/espnw/video/13887284/kyrgios-angry-code-violation-almost-hitting-ref','http://broadband.espn.go.com/video/clip?id=17481969'),'extract'=>array('#video/(?:clip(?:\\?id=|/_/id/))?(?\'id\'\\d+)#'),'homepage'=>'http://www.espn.com/','host'=>array('espn.com','espn.go.com'),'iframe'=>array('src'=>'//www.espn.com/core/video/iframe?id={@id}'),'name'=>'ESPN','scrape'=>array(),'tags'=>array('sports')),
		'facebook'=>array('attributes'=>array(),'example'=>array('https://www.facebook.com/FacebookDevelopers/posts/10151471074398553','https://www.facebook.com/video/video.php?v=10150451523596807','https://www.facebook.com/photo.php?fbid=10152476416772631','https://www.facebook.com/ign/videos/10153762113196633/','https://www.facebook.com/southamptonfc/videos/vb.220396037973624/1357764664236750/'),'extract'=>array('@/(?!(?:apps|developers|graph)\\.)[-\\w.]*facebook\\.com/(?:[/\\w]+/permalink|(?!pages/|groups/).*?)(?:/|fbid=|\\?v=)(?\'id\'\\d+)(?=$|[/?&#])@','@facebook\\.com/(?\'user\'\\w+)/(?\'type\'post|video)s?/@','@facebook\\.com/video/(?\'type\'post|video)\\.php@'),'homepage'=>'http://www.facebook.com/','host'=>array('facebook.com'),'iframe'=>array('data-s9e-livepreview-ignore-attrs'=>'style','onload'=>'var a=Math.random();window.addEventListener(\'message\',function(b){{if(b.data.id==a)style.height=b.data.height+\'px\'}});contentWindow.postMessage(\'s9e:\'+a,\'https://s9e.github.io\')','src'=>'https://s9e.github.io/iframe/facebook.min.html#{@type}{@id}'),'name'=>'Facebook','scrape'=>array(),'tags'=>array('social')),
		'flickr'=>array('attributes'=>array(),'example'=>array('https://www.flickr.com/photos/8757881@N04/2971804544/lightbox/','https://flic.kr/8757881@N04/2971804544','https://flic.kr/p/5wBgXo'),'extract'=>array('@flickr\\.com/photos/[^/]+/(?\'id\'\\d+)@','@flic\\.kr/(?!p/)[^/]+/(?\'id\'\\d+)@'),'homepage'=>'https://www.flickr.com/','host'=>array('flic.kr','flickr.com'),'iframe'=>array('height'=>500,'src'=>'https://www.flickr.com/photos/_/{@id}/player/','width'=>500),'name'=>'Flickr','scrape'=>array(array('extract'=>array('@flickr\\.com/photos/[^/]+/(?\'id\'\\d+)@'),'match'=>array('@flic\\.kr/p/(?\'short\'\\w+)@'),'url'=>'https://www.flickr.com/photo.gne?rb=1&short={@short}')),'tags'=>array('images')),
		'foratv'=>array('attributes'=>array(),'example'=>'http://fora.tv/2014/09/30/How_Google_Works','extract'=>array(),'homepage'=>'http://fora.tv/','host'=>array('fora.tv'),'iframe'=>array('src'=>'//library.fora.tv/embed?id={@id}&type=c'),'name'=>'FORA.tv','scrape'=>array(array('extract'=>array('!embed\\?id=(?\'id\'\\d+)!'),'match'=>array('!fora\\.tv/\\d+/\\d+/\\d+/.!')))),
		'foxnews'=>array('attributes'=>array(),'example'=>'http://video.foxnews.com/v/3592758613001/reddit-helps-fund-homemade-hot-sauce-venture/','extract'=>array('!video\\.foxnews\\.com/v/(?\'id\'\\d+)!'),'homepage'=>'http://www.foxnews.com/','host'=>array('video.foxnews.com'),'iframe'=>array('src'=>'//video.foxnews.com/v/video-embed.html?video_id={@id}'),'name'=>'Fox News','scrape'=>array(),'tags'=>array('news')),
		'foxsports'=>array('attributes'=>array(),'example'=>'https://www.foxsports.com/home/video/1132379203958','extract'=>array(),'homepage'=>'https://www.foxsports.com/video','host'=>array('foxsports.com'),'iframe'=>array('src'=>'//player.foxfdm.com/sports/embed-iframe.html?videourl=http://link.theplatform.com/s/BKQ29B/{@id}?mbr=true&assetTypes=Video&feed=Fox%20Sports%20All&autoplay=false&policy=68249219&sdk=PDK%205.7.15'),'name'=>'FOX Sports','scrape'=>array(array('extract'=>array('@BKQ29B/(?\'id\'\\w+)@'),'match'=>array('@/video/\\d@'))),'tags'=>array('sports')),
		'funnyordie'=>array('attributes'=>array(),'example'=>'http://www.funnyordie.com/videos/bf313bd8b4/murdock-with-keith-david','extract'=>array('!funnyordie\\.com/videos/(?\'id\'[0-9a-f]+)!'),'homepage'=>'http://www.funnyordie.com/','host'=>array('funnyordie.com'),'iframe'=>array('src'=>'//www.funnyordie.com/embed/{@id}'),'name'=>'Funny or Die','scrape'=>array(),'source'=>'http://support.funnyordie.com/discussions/problems/918-embed-user-videos-widget','tags'=>array('entertainment')),
		'gamespot'=>array('attributes'=>array(),'example'=>array('http://www.gamespot.com/destiny/videos/destiny-the-moon-trailer-6415176/','http://www.gamespot.com/events/game-crib-tsm-snapdragon/gamecrib-extras-cooking-with-dan-dinh-6412922/','http://www.gamespot.com/videos/beat-the-pros-pax-prime-2013/2300-6414307/'),'extract'=>array('!gamespot\\.com.*?/(?:events|videos)/.*?-(?\'id\'\\d+)/(?:[#?].*)?$!'),'homepage'=>'http://www.gamespot.com/','host'=>array('gamespot.com'),'iframe'=>array('src'=>'//www.gamespot.com/videos/embed/{@id}/'),'name'=>'Gamespot','scrape'=>array(),'tags'=>array('gaming')),
		'gametrailers'=>array('attributes'=>array(),'example'=>'http://www.gametrailers.com/videos/view/pop-fiction/102300-Metal-Gear-Solid-3-Still-in-a-Dream','extract'=>array(),'homepage'=>'http://www.gametrailers.com/','host'=>array('gametrailers.com'),'iframe'=>array('src'=>'//<xsl:choose><xsl:when test="starts-with(@id,\'mgid:\')">media.mtvnservices.com/embed/<xsl:value-of select="@id"/></xsl:when><xsl:otherwise>embed.gametrailers.com/embed/<xsl:value-of select="@id"/>?embed=1&amp;suppressBumper=1</xsl:otherwise></xsl:choose>'),'name'=>'GameTrailers','scrape'=>array(array('extract'=>array('!embed/(?\'id\'\\d+)!'),'match'=>array('!gametrailers\\.com/(?:full-episode|review|video)s/!'))),'tags'=>array('gaming')),
		'getty'=>array('attributes'=>array('height'=>array('defaultValue'=>360,'filterChain'=>array('#uint')),'width'=>array('defaultValue'=>640,'filterChain'=>array('#uint'))),'example'=>array('http://gty.im/3232182','http://www.gettyimages.com/detail/3232182','http://www.gettyimages.com/detail/news-photo/the-beatles-travel-by-coach-to-the-west-country-for-some-news-photo/3232182','http://www.gettyimages.co.uk/detail/3232182'),'extract'=>array('!gty\\.im/(?\'id\'\\d+)!','!gettyimages\\.[.\\w]+/detail(?=/).*?/(?\'id\'\\d+)!','!#[-\\w]*picture-id(?\'id\'\\d+)$!'),'homepage'=>'http://www.gettyimages.com/','host'=>array('gettyimages.be','gettyimages.cn','gettyimages.co.jp','gettyimages.co.uk','gettyimages.com','gettyimages.com.au','gettyimages.de','gettyimages.dk','gettyimages.es','gettyimages.fr','gettyimages.ie','gettyimages.it','gettyimages.nl','gettyimages.pt','gettyimages.se','gty.im'),'iframe'=>array('height'=>'{@height}','padding-height'=>49,'src'=>'//embed.gettyimages.com/embed/{@id}?et={@et}&sig={@sig}','width'=>'{@width}'),'name'=>'Getty Images','scrape'=>array(array('extract'=>array('!"height":[ "]*(?\'height\'\\d+)!','!"width":[ "]*(?\'width\'\\d+)!','!\\bid[=:][\'"]?(?\'et\'[-=\\w]+)!','!\\bsig[=:][\'"]?(?\'sig\'[-=\\w]+)!'),'match'=>array('//'),'url'=>'http://embed.gettyimages.com/preview/{@id}')),'tags'=>array('images')),
		'gfycat'=>array('attributes'=>array('height'=>array('defaultValue'=>360,'filterChain'=>array('#uint')),'width'=>array('defaultValue'=>640,'filterChain'=>array('#uint'))),'example'=>array('http://gfycat.com/SereneIllfatedCapybara','http://giant.gfycat.com/SereneIllfatedCapybara.gif'),'extract'=>array('!gfycat\\.com/(?:gifs/detail/)?(?\'id\'\\w+)!'),'homepage'=>'http://gfycat.com/','host'=>array('gfycat.com'),'iframe'=>array('height'=>'{@height}','src'=>'//gfycat.com/iframe/{@id}','width'=>'{@width}'),'name'=>'Gfycat','scrape'=>array(array('extract'=>array('!meta [^>]*?="\\w+:\\w+:height" content="(?\'height\'\\d+)!','!meta [^>]*?="\\w+:\\w+:width" content="(?\'width\'\\d+)!'),'match'=>array('//'),'url'=>'https://gfycat.com/ifr/{@id}')),'tags'=>array('images')),
		'gifs'=>array('attributes'=>array('height'=>array('defaultValue'=>360,'filterChain'=>array('#uint')),'width'=>array('defaultValue'=>640,'filterChain'=>array('#uint'))),'example'=>array('https://gifs.com/gif/zm4DLy','https://j.gifs.com/Y6YZoO.gif'),'extract'=>array('!gifs\\.com/(?:gif/)?(?\'id\'\\w+)!'),'homepage'=>'https://gifs.com/','host'=>array('gifs.com'),'iframe'=>array('height'=>'{@height}','src'=>'//gifs.com/embed/{@id}','width'=>'{@width}'),'name'=>'Gifs.com','scrape'=>array(array('extract'=>array('!meta property="og:image:width" content="(?\'width\'\\d+)!','!meta property="og:image:height" content="(?\'height\'\\d+)!'),'match'=>array('//'),'url'=>'https://gifs.com/gif/{@id}')),'tags'=>array('images')),
		'gist'=>array('attributes'=>array(),'example'=>array('https://gist.github.com/s9e/0ee8433f5a9a779d08ef','https://gist.github.com/6806305','https://gist.github.com/s9e/6806305/ad88d904b082c8211afa040162402015aacb8599'),'extract'=>array('!gist\\.github\\.com/(?\'id\'(?:\\w+/)?[\\da-f]+(?:/[\\da-f]+)?)!'),'homepage'=>'https://gist.github.com/','host'=>array('github.com'),'iframe'=>array('data-s9e-livepreview-ignore-attrs'=>'style','height'=>180,'onload'=>'var a=Math.random();window.addEventListener(\'message\',function(b){{if(b.data.id==a)style.height=b.data.height+\'px\'}});contentWindow.postMessage(\'s9e:\'+a,\'https://s9e.github.io\')','scrolling'=>'','src'=>'https://s9e.github.io/iframe/gist.min.html#{@id}','width'=>'100%'),'name'=>'GitHub Gist (via custom iframe)','scrape'=>array()),
		'globalnews'=>array('attributes'=>array(),'example'=>'http://globalnews.ca/video/1647385/mark-channels-his-70s-look/','extract'=>array('!globalnews\\.ca/video/(?\'id\'\\d+)!'),'homepage'=>'http://globalnews.ca/','host'=>array('globalnews.ca'),'iframe'=>array('height'=>377,'src'=>'//globalnews.ca/video/embed/{@id}/','width'=>560),'name'=>'Global News','scrape'=>array(),'tags'=>array('.ca','news')),
		'gofundme'=>array('attributes'=>array(),'example'=>'https://www.gofundme.com/2p37ao','extract'=>array('@gofundme\\.com/(?\'id\'\\w+)(?![^#?])@'),'homepage'=>'http://www.gofundme.com/','host'=>array('gofundme.com'),'iframe'=>array('height'=>207,'padding-height'=>208,'src'=>'//www.gofundme.com/mvc.php?route=widgets/mediawidget&fund={@id}&image=1&coinfo=1','width'=>349),'name'=>'GoFundMe','scrape'=>array(),'tags'=>array('fundraising')),
		'googledrive'=>array('attributes'=>array(),'example'=>'https://drive.google.com/file/d/0B_4NRUjxLBejNjVmeG5MUzA3Q3M/view?usp=sharing','extract'=>array('!drive\\.google\\.com/.*?(?:file/d/|id=)(?\'id\'[-\\w]+)!'),'homepage'=>'https://drive.google.com','host'=>array('drive.google.com'),'iframe'=>array('height'=>480,'src'=>'//drive.google.com/file/d/{@id}/preview','width'=>640),'name'=>'Google Drive','scrape'=>array(),'tags'=>array('documents','images','videos')),
		'googleplus'=>array('attributes'=>array('name'=>array('filterChain'=>array('urldecode'))),'example'=>array('https://plus.google.com/+TonyHawk/posts/C5TMsDZJWBd','https://plus.google.com/106189723444098348646/posts/V8AojCoTzxV'),'extract'=>array('!//plus\\.google\\.com/(?:u/\\d+/)?(?:\\+(?\'name\'[^/]+)|(?\'oid\'\\d+))/posts/(?\'pid\'\\w+)!'),'homepage'=>'https://plus.google.com/','host'=>array('plus.google.com'),'iframe'=>array('data-s9e-livepreview-ignore-attrs'=>'style','height'=>240,'onload'=>'var a=Math.random();window.addEventListener(\'message\',function(b){{if(b.data.id==a)style.height=b.data.height+\'px\'}});contentWindow.postMessage(\'s9e:\'+a,\'https://s9e.github.io\')','src'=>'https://s9e.github.io/iframe/googleplus.min.html#<xsl:choose><xsl:when test="@oid"><xsl:value-of select="@oid"/></xsl:when><xsl:otherwise>+<xsl:value-of select="@name"/></xsl:otherwise></xsl:choose>/posts/<xsl:value-of select="@pid"/>','width'=>450),'name'=>'Google+','scrape'=>array(),'source'=>'https://developers.google.com/+/web/embedded-post/','tags'=>array('social')),
		'googlesheets'=>array('attributes'=>array(),'example'=>'https://docs.google.com/spreadsheets/d/1f988o68HDvk335xXllJD16vxLBuRcmm3vg6U9lVaYpA','extract'=>array('@docs\\.google\\.com/spreadsheet(?:/ccc\\?key=|s/d/)(?!e/)(?\'id\'[-\\w]+)[^#]*(?:#gid=(?\'gid\'\\d+))?@'),'homepage'=>'http://www.google.com/sheets/about/','host'=>array('docs.google.com'),'iframe'=>array('height'=>500,'src'=>'https://docs.google.com/spreadsheets/d/{@id}/pubhtml?widget=true&headers=false#gid={@gid}','style'=>array('resize'=>'vertical'),'width'=>'100%'),'name'=>'Google Sheets','scrape'=>array(),'tags'=>array('documents')),
		'healthguru'=>array('attributes'=>array(),'example'=>'http://mental.healthguru.com/video/internet-addiction-signs-you-need-to-shut-down','extract'=>array(),'homepage'=>'http://www.healthguru.com/','host'=>array('healthguru.com'),'iframe'=>array('src'=>'//www.healthguru.com/embed/{@id}'),'name'=>'Healthguru','scrape'=>array(array('extract'=>array('!healthguru\\.com/embed/(?\'id\'\\w+)!'),'match'=>array('!healthguru\\.com/(?:content/)?video/.!'))),'tags'=>array('health')),
		'hudl'=>array('attributes'=>array(),'example'=>array('http://www.hudl.com/athlete/2067184/highlights/163744377','http://www.hudl.com/v/CVmja','http://www.hudl.com/video/3/323679/57719969842eb243e47883f8'),'extract'=>array('!hudl\\.com/athlete/(?\'athlete\'\\d+)/highlights/(?\'highlight\'[\\da-f]+)!','!hudl\\.com/video/\\d+/(?\'athlete\'\\d+)/(?\'highlight\'[\\da-f]+)!'),'homepage'=>'http://www.hudl.com/','host'=>array('hudl.com'),'iframe'=>array('src'=>'//www.hudl.com/embed/athlete/{@athlete}/highlights/{@highlight}'),'name'=>'Hudl','scrape'=>array(array('extract'=>array('!hudl\\.com/video/\\d+/(?\'athlete\'\\d+)/(?\'highlight\'[\\da-f]+)!'),'match'=>array('!hudl\\.com/v/!'))),'tags'=>array('sports')),
		'hulu'=>array('attributes'=>array(),'example'=>'http://www.hulu.com/watch/484180','extract'=>array(),'homepage'=>'http://www.hulu.com/','host'=>array('hulu.com'),'iframe'=>array('src'=>'https://secure.hulu.com/embed/{@id}'),'name'=>'Hulu','scrape'=>array(array('extract'=>array('!eid=(?\'id\'[-\\w]+)!'),'match'=>array('!hulu\\.com/watch/!')))),
		'humortvnl'=>array('attributes'=>array(),'example'=>'http://humortv.vara.nl/pa.346135.denzel-washington-bij-graham-norton.html','extract'=>array('!humortv\\.vara\\.nl/\\w+\\.(?\'id\'[-.\\w]+)\\.html!'),'homepage'=>'http://humortv.vara.nl/pg.2.pg-home.html','host'=>array('humortv.vara.nl'),'iframe'=>array('src'=>'//humortv.vara.nl/embed.{@id}.html'),'name'=>'HumorTV','scrape'=>array(),'tags'=>array('.nl','entertainment')),
		'ign'=>array('attributes'=>array(),'example'=>'http://www.ign.com/videos/2013/07/12/pokemon-x-version-pokemon-y-version-battle-trailer','extract'=>array('!(?\'id\'https?://.*?ign\\.com/videos/.+)!i'),'homepage'=>'http://www.ign.com/videos/','host'=>array('ign.com'),'iframe'=>array('height'=>263,'src'=>'//widgets.ign.com/video/embed/content.html?url={@id}','width'=>468),'name'=>'IGN','scrape'=>array(),'tags'=>array('gaming')),
		'imdb'=>array('attributes'=>array(),'example'=>array('http://www.imdb.com/video/imdb/vi2482677785/','http://www.imdb.com/title/tt2294629/videoplayer/vi2482677785'),'extract'=>array('!imdb\\.com/[/\\w]+/vi(?\'id\'\\d+)!'),'homepage'=>'http://www.imdb.com/','host'=>array('imdb.com'),'iframe'=>array('src'=>'//www.imdb.com/video/imdb/vi{@id}/imdb/embed?autoplay=false&width=640'),'name'=>'IMDb','scrape'=>array(),'tags'=>array('movies')),
		'imgur'=>array('attributes'=>array(),'example'=>array('http://imgur.com/AsQ0K3P','http://imgur.com/a/9UGCL','http://imgur.com/gallery/9UGCL','http://i.imgur.com/u7Yo0Vy.gifv','http://i.imgur.com/UO1UrIx.mp4'),'extract'=>array('@imgur\\.com/(?\'id\'a/\\w+)@','@i\\.imgur\\.com/(?\'id\'\\w{5,7})[lms]?\\.@','@imgur\\.com/(?\'id\'\\w+)(?![\\w./])@'),'homepage'=>'http://imgur.com/','host'=>array('imgur.com'),'iframe'=>array('data-s9e-livepreview-ignore-attrs'=>'style','height'=>450,'onload'=>'var b=Math.random();window.addEventListener(\'message\',function(a){{a.data.id==b&&(style.height=a.data.height+\'px\',style.width=a.data.width+\'px\')}});contentWindow.postMessage(\'s9e:\'+b,\'https://s9e.github.io\')','src'=>'https://s9e.github.io/iframe/imgur.min.html#<xsl:if test="@type=\'album\'">a/</xsl:if><xsl:value-of select="@id"/>','width'=>568),'name'=>'Imgur','scrape'=>array(array('extract'=>array('@data-id="(?\'id\'[\\w/]+)"@'),'match'=>array('@imgur\\.com/(?![art]/|user/)(?\'path\'(?:gallery/)?\\w+)(?![\\w.])@'),'url'=>'https://api.imgur.com/oembed.xml?url=/{@path}')),'tags'=>array('images')),
		'indiegogo'=>array('attributes'=>array(),'example'=>'http://www.indiegogo.com/projects/gameheart-redesigned','extract'=>array('!indiegogo\\.com/projects/(?\'id\'[-\\w]+)!'),'homepage'=>'http://www.indiegogo.com/','host'=>array('indiegogo.com'),'iframe'=>array('height'=>445,'src'=>'//www.indiegogo.com/project/{@id}/embedded','width'=>222),'name'=>'Indiegogo','scrape'=>array(),'tags'=>array('fundraising')),
		'instagram'=>array('attributes'=>array(),'example'=>array('http://instagram.com/p/gbGaIXBQbn/','https://www.instagram.com/tv/BkQjCfsBIzi/'),'extract'=>array('!instagram\\.com/(?:p|tv)/(?\'id\'[-\\w]+)!'),'homepage'=>'http://instagram.com/','host'=>array('instagram.com'),'iframe'=>array('data-s9e-livepreview-ignore-attrs'=>'style','height'=>640,'onload'=>'var a=Math.random();window.addEventListener(\'message\',function(b){{if(b.data.id==a)style.height=b.data.height+\'px\'}});contentWindow.postMessage(\'s9e:\'+a,\'https://s9e.github.io\')','src'=>'https://s9e.github.io/iframe/instagram.min.html#{@id}','width'=>640),'name'=>'Instagram','scrape'=>array(),'source'=>'http://help.instagram.com/513918941996087','tags'=>array('social')),
		'internetarchive'=>array('attributes'=>array('height'=>array('defaultValue'=>360,'filterChain'=>array('#uint')),'width'=>array('defaultValue'=>640,'filterChain'=>array('#uint'))),'example'=>array('https://archive.org/details/BillGate99','https://archive.org/details/DFTS2014-05-30'),'extract'=>array(),'homepage'=>'https://archive.org/','host'=>array('archive.org'),'iframe'=>array('height'=>'{@height}','src'=>'https://archive.org/embed/{@id}','width'=>'{@width}'),'name'=>'Internet Archive','scrape'=>array(array('extract'=>array('!meta property="twitter:player" content="https://archive.org/embed/(?\'id\'[^/"]+)!','!meta property="og:video:width" content="(?\'width\'\\d+)!','!meta property="og:video:height" content="(?\'height\'\\d+)!'),'match'=>array('!archive\\.org/details/!')))),
		'izlesene'=>array('attributes'=>array(),'example'=>'http://www.izlesene.com/video/lily-allen-url-badman/7600704','extract'=>array('!izlesene\\.com/video/[-\\w]+/(?\'id\'\\d+)!'),'homepage'=>'http://www.izlesene.com/','host'=>array('izlesene.com'),'iframe'=>array('src'=>'//www.izlesene.com/embedplayer/{@id}'),'name'=>'İzlesene','scrape'=>array(),'tags'=>array('.tr')),
		'jwplatform'=>array('attributes'=>array(),'example'=>array('http://content.jwplatform.com/players/X6tRZpKj-7Y21S9TB.html','http://content.jwplatform.com/previews/YfTSAegE-L0l35Tsd'),'extract'=>array('!jwplatform\\.com/\\w+/(?\'id\'[-\\w]+)!'),'homepage'=>'https://www.jwplayer.com/products/jwplatform/','host'=>array('jwplatform.com'),'iframe'=>array('src'=>'//content.jwplatform.com/players/{@id}.html'),'name'=>'JW Platform','scrape'=>array(),'tags'=>array('videos')),
		'khl'=>array('attributes'=>array(),'example'=>array('http://video.khl.ru/events/233677','http://video.khl.ru/quotes/251237'),'extract'=>array(),'homepage'=>'http://www.khl.ru/','host'=>array('video.khl.ru'),'iframe'=>array('src'=>'//video.khl.ru/iframe/feed/start/{@id}?type_id=18&width=560&height=315'),'name'=>'Kontinental Hockey League (КХЛ)','scrape'=>array(array('extract'=>array('!/feed/start/(?\'id\'[/\\w]+)!'),'match'=>array('!video\\.khl\\.ru/(?:event|quote)s/\\d!'))),'tags'=>array('.ru','sports')),
		'kickstarter'=>array('attributes'=>array(),'choose'=>array('otherwise'=>array('iframe'=>array('height'=>420,'src'=>'//www.kickstarter.com/projects/{@id}/widget/card.html','width'=>220)),'when'=>array('iframe'=>array('height'=>360,'src'=>'//www.kickstarter.com/projects/{@id}/widget/video.html','width'=>640),'test'=>'@video')),'example'=>array('http://www.kickstarter.com/projects/1869987317/wish-i-was-here-1','http://www.kickstarter.com/projects/1869987317/wish-i-was-here-1/widget/card.html','http://www.kickstarter.com/projects/1869987317/wish-i-was-here-1/widget/video.html'),'extract'=>array('!kickstarter\\.com/projects/(?\'id\'[^/]+/[^/?]+)(?:/widget/(?:(?\'card\'card)|(?\'video\'video)))?!'),'homepage'=>'http://www.kickstarter.com/','host'=>array('kickstarter.com'),'name'=>'Kickstarter','scrape'=>array(),'tags'=>array('fundraising')),
		'kissvideo'=>array('attributes'=>array(),'example'=>'http://www.kissvideo.click/alton-towers-smiler-rollercoaster-crash_7789d8de8.html','extract'=>array('!kissvideo\\.click/[^_]*_(?\'id\'[0-9a-f]+)!'),'homepage'=>'http://www.kissvideo.click/index.html','host'=>array('kissvideo.click'),'iframe'=>array('src'=>'//www.kissvideo.click/embed.php?vid={@id}'),'name'=>'Kiss Video','scrape'=>array(),'tags'=>array('videos')),
		'libsyn'=>array('attributes'=>array(),'example'=>'http://bunkerbuddies.libsyn.com/interstellar-w-brandie-posey','extract'=>array(),'homepage'=>'http://www.libsyn.com/','host'=>array('libsyn.com'),'iframe'=>array('height'=>45,'max-width'=>900,'src'=>'//html5-player.libsyn.com/embed/episode/id/{@id}/height/45/width/900/theme/standard/direction/no/autoplay/no/autonext/no/thumbnail/no/preload/no/no_addthis/no/','width'=>'100%'),'name'=>'Libsyn','scrape'=>array(array('extract'=>array('!embed/episode/id/(?\'id\'\\d+)!'),'match'=>array('@(?!\\.mp3)....$@'))),'tags'=>array('podcasts')),
		'livecap'=>array('attributes'=>array(),'example'=>array('https://www.livecap.tv/s/esl_sc2/uZoEz6RR1eA','https://www.livecap.tv/t/riotgames/uLxUzBTBs7u'),'extract'=>array('!livecap.tv/[st]/(?\'channel\'\\w+)/(?\'id\'\\w+)!'),'homepage'=>'https://www.livecap.tv/','host'=>array('livecap.tv'),'iframe'=>array('src'=>'https://www.livecap.tv/s/embed/{@channel}/{@id}'),'name'=>'LiveCap','scrape'=>array(),'tags'=>array('gaming')),
		'liveleak'=>array('attributes'=>array(),'example'=>'https://www.liveleak.com/view?t=yIcw_1520190567','extract'=>array('!liveleak\\.com/(?:e/|view\\?i=)(?\'id\'\\w+)!'),'homepage'=>'https://www.liveleak.com/','host'=>array('liveleak.com'),'iframe'=>array('src'=>'//www.liveleak.com/e/{@id}'),'name'=>'Liveleak','scrape'=>array(array('extract'=>array('!liveleak\\.com/e/(?\'id\'\\w+)!'),'match'=>array('!liveleak\\.com/view\\?t=!'))),'tags'=>array('videos')),
		'livestream'=>array('attributes'=>array(),'example'=>array('http://new.livestream.com/jbtvlive/musicmarathon','http://livestream.com/ccscsl/USChessChampionships/videos/83267610','http://livestre.am/58XNV'),'extract'=>array('!livestream\\.com/accounts/(?\'account_id\'\\d+)/events/(?\'event_id\'\\d+)!','!/videos/(?\'video_id\'\\d+)!','!original\\.livestream\\.com/(?\'channel\'\\w+)/video\\?clipId=(?\'clip_id\'[-\\w]+)!'),'homepage'=>'http://new.livestream.com/','host'=>array('livestre.am','livestream.com'),'iframe'=>array('src'=>'//<xsl:choose><xsl:when test="@clip_id">cdn.livestream.com/embed/<xsl:value-of select="@channel"/>?layout=4&amp;autoplay=false&amp;clip=<xsl:value-of select="@clip_id"/></xsl:when><xsl:otherwise>livestream.com/accounts/<xsl:value-of select="@account_id"/>/events/<xsl:value-of select="@event_id"/><xsl:if test="@video_id">/videos/<xsl:value-of select="@video_id"/></xsl:if>/player?autoPlay=false</xsl:otherwise></xsl:choose>'),'name'=>'Livestream','scrape'=>array(array('extract'=>array('!accounts/(?\'account_id\'\\d+)/events/(?\'event_id\'\\d+)!'),'match'=>array('@livestream\\.com/(?!accounts/\\d+/events/\\d)@')),array('extract'=>array('!//original\\.livestream\\.com/(?\'channel\'\\w+)/video/(?\'clip_id\'[-\\w]+)!'),'match'=>array('!livestre.am!'))),'tags'=>array('livestreaming','videos')),
		'mailru'=>array('attributes'=>array(),'example'=>array('https://my.mail.ru/corp/auto/video/testdrive/34.html','https://my.mail.ru/mail/alenka1957/video/1/7.html'),'extract'=>array(),'homepage'=>'http://my.mail.ru/','host'=>array('my.mail.ru'),'iframe'=>array('src'=>'https://my.mail.ru/video/embed/{@id}'),'name'=>'Mail.Ru','scrape'=>array(array('extract'=>array('!"itemId": ?"?(?\'id\'\\d+)!'),'match'=>array('!my\\.mail\\.ru/\\w+/\\w+/video/\\w+/\\d!'))),'tags'=>array('.ru')),
		'medium'=>array('attributes'=>array(),'example'=>'https://medium.com/@donnydonny/team-internet-is-about-to-win-net-neutrality-and-they-didnt-need-googles-help-e7e2cf9b8a95','extract'=>array('!medium\\.com/[^/]*/(?:[-\\w]+-)?(?\'id\'[\\da-f]+)!'),'homepage'=>'https://medium.com/','host'=>array('medium.com'),'iframe'=>array('data-s9e-livepreview-ignore-attrs'=>'style','height'=>400,'onload'=>'window.addEventListener(\'message\',function(a){{a=a.data.split(\'::\');\'m\'===a[0]&&0<src.indexOf(a[1])&&a[2]&&(style.height=a[2]+\'px\')}})','src'=>'https://api.medium.com/embed?type=story&path=%2F%2F{@id}&id={translate(@id,\'abcdef\',\'111111\')}','style'=>array('border'=>'1px solid','border-color'=>'#eee #ddd #bbb','border-radius'=>'5px','box-shadow'=>'rgba(0,0,0,.15) 0 1px 3px'),'width'=>400),'name'=>'Medium','scrape'=>array(),'tags'=>array('blogging')),
		'metacafe'=>array('attributes'=>array(),'example'=>'http://www.metacafe.com/watch/10785282/chocolate_treasure_chest_epic_meal_time/','extract'=>array('!metacafe\\.com/watch/(?\'id\'\\d+)!'),'homepage'=>'http://www.metacafe.com/','host'=>array('metacafe.com'),'iframe'=>array('src'=>'//www.metacafe.com/embed/{@id}/'),'name'=>'Metacafe','scrape'=>array(),'tags'=>array('videos')),
		'mixcloud'=>array('attributes'=>array(),'example'=>'http://www.mixcloud.com/OneTakeTapes/timsch-one-take-tapes-2/','extract'=>array('@mixcloud\\.com/(?!categories|tag)(?\'id\'[-\\w]+/[^/&]+)/@'),'homepage'=>'http://www.mixcloud.com/','host'=>array('mixcloud.com'),'iframe'=>array('height'=>400,'src'=>'//www.mixcloud.com/widget/iframe/?feed=http%3A%2F%2Fwww.mixcloud.com%2F{@id}%2F&embed_type=widget_standard','width'=>400),'name'=>'Mixcloud','scrape'=>array(),'tags'=>array('music')),
		'mlb'=>array('attributes'=>array(),'example'=>array('https://www.mlb.com/video/statcast-stantons-two-homers/c-1898424783','https://m.mlb.com/video/v1205791883'),'extract'=>array('#mlb\\.com/video/(?:[-\\w/]+/)?(?:c-|v)(?\'id\'\\d+)#'),'homepage'=>'http://mlb.com/video/','host'=>array('mlb.com'),'iframe'=>array('src'=>'https://www.mlb.com/video/share/c-{@id}'),'name'=>'MLB','scrape'=>array(),'tags'=>array('sports')),
		'mrctv'=>array('attributes'=>array(),'example'=>'http://dev.mrctv.org/videos/cnn-frets-about-tobacco-companies-color-coding-tricks','extract'=>array(),'homepage'=>'http://www.mrctv.org/','host'=>array('mrctv.org'),'iframe'=>array('src'=>'https://www.mrctv.org/embed/{@id}'),'name'=>'MRCTV','scrape'=>array(array('extract'=>array('!mrctv\\.org/embed/(?\'id\'\\d+)!'),'match'=>array('!mrctv\\.org/videos/.!')))),
		'msnbc'=>array('attributes'=>array(),'example'=>array('http://www.msnbc.com/ronan-farrow-daily/watch/thats-no-moon--300512323725','http://on.msnbc.com/1qkH62o'),'extract'=>array(),'homepage'=>'http://www.msnbc.com/watch','host'=>array('msnbc.com'),'iframe'=>array('padding-height'=>80,'src'=>'//player.theplatform.com/p/7wvmTC/MSNBCEmbeddedOffSite?guid={@id}'),'name'=>'MSNBC','scrape'=>array(array('extract'=>array('@property="nv:videoId" content="(?\'id\'\\w+)@','@guid"?[=:]"?(?\'id\'\\w+)@'),'match'=>array('@msnbc\\.com/[-\\w]+/watch/@','@on\\.msnbc\\.com/.@'))),'tags'=>array('news')),
		'natgeochannel'=>array('attributes'=>array(),'example'=>array('http://channel.nationalgeographic.com/channel/brain-games/videos/jason-silva-on-intuition/','http://channel.nationalgeographic.com/wild/urban-jungle/videos/leopard-in-the-city/'),'extract'=>array('@channel\\.nationalgeographic\\.com/(?\'id\'[-/\\w]+/videos/[-\\w]+)@'),'homepage'=>'http://channel.nationalgeographic.com/','host'=>array('channel.nationalgeographic.com'),'iframe'=>array('src'=>'//channel.nationalgeographic.com/{@id}/embed/'),'name'=>'National Geographic Channel','scrape'=>array()),
		'natgeovideo'=>array('attributes'=>array(),'example'=>array('http://video.nationalgeographic.com/tv/changing-earth','http://video.nationalgeographic.com/video/weirdest-superb-lyrebird'),'extract'=>array(),'homepage'=>'http://video.nationalgeographic.com/','host'=>array('video.nationalgeographic.com'),'iframe'=>array('src'=>'//player.d.nationalgeographic.com/players/ngsvideo/share/?guid={@id}'),'name'=>'National Geographic Video','scrape'=>array(array('extract'=>array('@guid="(?\'id\'[-\\w]+)"@'),'match'=>array('@video\\.nationalgeographic\\.com/(?:tv|video)/\\w@'))),'tags'=>array('documentaries')),
		'nbcnews'=>array('attributes'=>array(),'example'=>'http://www.nbcnews.com/video/bob-dylan-awarded-nobel-prize-for-literature-785193027834','extract'=>array('!nbcnews\\.com/(?:widget/video-embed/|video/[-\\w]+?-)(?\'id\'\\d+)!'),'homepage'=>'http://www.nbcnews.com/video/','host'=>array('nbcnews.com'),'iframe'=>array('src'=>'//www.nbcnews.com/widget/video-embed/{@id}'),'name'=>'NBC News','scrape'=>array(),'tags'=>array('news')),
		'nbcsports'=>array('attributes'=>array(),'example'=>'http://www.nbcsports.com/video/countdown-rio-olympics-what-makes-perfect-performance','extract'=>array(),'homepage'=>'http://www.nbcsports.com/video','host'=>array('nbcsports.com'),'iframe'=>array('src'=>'//vplayer.nbcsports.com/p/BxmELC/nbcsports_embed/select/media/{@id}?parentUrl='),'name'=>'NBC Sports','scrape'=>array(array('extract'=>array('!select/media/(?\'id\'\\w+)!'),'match'=>array('!nbcsports\\.com/video/.!'))),'tags'=>array('sports')),
		'nhl'=>array('attributes'=>array(),'example'=>'https://www.nhl.com/video/recap-min-2-ott-1-fot/t-277753022/c-46330703','extract'=>array('#nhl\\.com/(?:\\w+/)?video(?:/(?![ct]-)[-\\w]+)?(?:/t-(?\'t\'\\d+))?(?:/c-(?\'c\'\\d+))?#'),'homepage'=>'https://www.nhl.com/video','host'=>array('nhl.com'),'iframe'=>array('src'=>'https://www.nhl.com/video/embed<xsl:if test="@t">/t-<xsl:value-of select="@t"/></xsl:if><xsl:if test="@c">/c-<xsl:value-of select="@c"/></xsl:if>?autostart=false'),'name'=>'NHL Videos and Highlights','scrape'=>array(),'tags'=>array('sports')),
		'npr'=>array('attributes'=>array(),'example'=>array('http://www.npr.org/blogs/goatsandsoda/2015/02/11/385396431/the-50-most-effective-ways-to-transform-the-developing-world','http://n.pr/1Qky1m5'),'extract'=>array(),'homepage'=>'http://www.npr.org/','host'=>array('npr.org','n.pr'),'iframe'=>array('height'=>228,'max-width'=>800,'src'=>'//www.npr.org/player/embed/{@i}/{@m}','width'=>'100%'),'name'=>'NPR','scrape'=>array(array('extract'=>array('!player/embed/(?\'i\'\\d+)/(?\'m\'\\d+)!'),'header'=>'Cookie: trackingChoice=false; choiceVersion=1','match'=>array('!npr\\.org/[/\\w]+/\\d+!','!n\\.pr/\\w!'))),'tags'=>array('podcasts')),
		'nytimes'=>array('attributes'=>array(),'example'=>array('http://www.nytimes.com/video/magazine/100000003166834/small-plates.html','http://www.nytimes.com/video/technology/personaltech/100000002907606/soylent-taste-test.html','http://www.nytimes.com/video/2012/12/17/business/100000001950744/how-wal-mart-conquered-teotihuacan.html','http://movies.nytimes.com/movie/131154/Crooklyn/trailers'),'extract'=>array('!nytimes\\.com/video/[a-z]+/(?:[a-z]+/)?(?\'id\'\\d+)!','!nytimes\\.com/video/\\d+/\\d+/\\d+/[a-z]+/(?\'id\'\\d+)!'),'homepage'=>'http://www.nytimes.com/video/','host'=>array('nytimes.com'),'iframe'=>array('height'=>400,'src'=>'//graphics8.nytimes.com/video/players/offsite/index.html?videoId={@id}','width'=>585),'name'=>'The New York Times Video','scrape'=>array(array('extract'=>array('!/video/movies/(?\'id\'\\d+)!'),'match'=>array('!nytimes\\.com/movie(?:s/movie)?/(?\'playlist\'\\d+)/[-\\w]+/trailers!'),'url'=>'http://www.nytimes.com/svc/video/api/playlist/{@playlist}?externalId=true')),'tags'=>array('movies','news')),
		'orfium'=>array('attributes'=>array(),'example'=>array('https://www.orfium.com/album/24371/everybody-loves-kanye-totom/','https://www.orfium.com/live-set/614763/foof-no-lights-5-foof/','https://www.orfium.com/playlist/511651/electronic-live-sessions-creamtronic/','https://www.orfium.com/track/625367/the-ambience-of-the-goss-vistas/'),'extract'=>array('@album/(?\'album_id\'\\d+)@','@playlist/(?\'playlist_id\'\\d+)@','@live-set/(?\'set_id\'\\d+)@','@track/(?\'track_id\'\\d+)@'),'homepage'=>'https://www.orfium.com/','host'=>array('orfium.com'),'iframe'=>array('height'=>'<xsl:choose><xsl:when test="@album_id">550</xsl:when><xsl:otherwise>275</xsl:otherwise></xsl:choose>','max-width'=>900,'src'=>'https://www.orfium.com/embedded/<xsl:choose><xsl:when test="@album_id">album/<xsl:value-of select="@album_id"/></xsl:when><xsl:when test="@playlist_id">playlist/<xsl:value-of select="@playlist_id"/></xsl:when><xsl:when test="@set_id">live-set/<xsl:value-of select="@set_id"/></xsl:when><xsl:otherwise>track/<xsl:value-of select="@track_id"/></xsl:otherwise></xsl:choose>','width'=>'100%'),'name'=>'Orfium','scrape'=>array(),'tags'=>array('music')),
		'pastebin'=>array('attributes'=>array(),'example'=>'http://pastebin.com/9jEf44nc','extract'=>array('@pastebin\\.com/(?!u/)(?:\\w+(?:\\.php\\?i=|/))?(?\'id\'\\w+)@'),'homepage'=>'http://pastebin.com/','host'=>array('pastebin.com'),'iframe'=>array('height'=>300,'scrolling'=>'','src'=>'//pastebin.com/embed_iframe.php?i={@id}','style'=>array('resize'=>'vertical'),'width'=>'100%'),'name'=>'Pastebin','scrape'=>array()),
		'pinterest'=>array('attributes'=>array(),'example'=>array('https://www.pinterest.com/pin/99360735500167749/','https://www.pinterest.com/pinterest/official-news/'),'extract'=>array('@pinterest.com/pin/(?\'id\'\\d+)@','@pinterest.com/(?!_/|discover/|explore/|news_hub/|pin/|search/)(?\'id\'[-\\w]+/[-\\w]+)@'),'homepage'=>'https://www.pinterest.com/','host'=>array('pinterest.com'),'iframe'=>array('data-s9e-livepreview-ignore-attrs'=>'style','height'=>360,'onload'=>'var a=Math.random();window.addEventListener(\'message\',function(b){{if(b.data.id==a)style.height=b.data.height+\'px\'}});contentWindow.postMessage(\'s9e:\'+a,\'https://s9e.github.io\')','src'=>'https://s9e.github.io/iframe/pinterest.min.html#{@id}','width'=>'<xsl:choose><xsl:when test="contains(@id,\'/\')">730</xsl:when><xsl:otherwise>345</xsl:otherwise></xsl:choose>'),'name'=>'Pinterest','scrape'=>array(),'source'=>'https://developers.pinterest.com/tools/widget-builder/','tags'=>array('social')),
		'playstv'=>array('attributes'=>array(),'example'=>array('http://plays.tv/s/Kt4onQhyyVyz','http://plays.tv/video/565683db95f139f47e/full-length-version-radeon-software-crimson-edition-is-amds-revolutionary-new-graphics-software-that'),'extract'=>array('!plays\\.tv/video/(?\'id\'\\w+)!'),'homepage'=>'http://plays.tv/','host'=>array('plays.tv'),'iframe'=>array('src'=>'//plays.tv/embeds/{@id}'),'name'=>'Plays.tv','scrape'=>array(array('extract'=>array('!plays\\.tv/video/(?\'id\'\\w+)!'),'match'=>array('!plays\\.tv/s/!'))),'tags'=>array('gaming')),
		'podbean'=>array('attributes'=>array(),'example'=>array('http://dialhforheroclix.podbean.com/e/dial-h-for-heroclix-episode-46-all-ya-need-is-love/','http://www.podbean.com/media/share/pb-qtwub-4ee10c'),'extract'=>array('!podbean\\.com/media/(?:player/|share/pb-)(?\'id\'[-\\w]+)!'),'homepage'=>'http://www.podbean.com/','host'=>array('podbean.com'),'iframe'=>array('height'=>100,'max-width'=>900,'src'=>'//www.podbean.com/media/player/{@id}','width'=>'100%'),'name'=>'Podbean','scrape'=>array(array('extract'=>array('!podbean\\.com/media/player/(?\'id\'[-\\w]+)!'),'match'=>array('@podbean\\.com/(?:media/shar)?e/(?!pb-)@'))),'tags'=>array('podcasts')),
		'prezi'=>array('attributes'=>array(),'example'=>'http://prezi.com/5ye8po_hmikp/10-most-common-rookie-presentation-mistakes/','extract'=>array('#//prezi\\.com/(?!(?:a(?:bout|mbassadors)|c(?:o(?:llaborate|mmunity|ntact)|reate)|exp(?:erts|lore)|ip(?:ad|hone)|jobs|l(?:ear|ogi)n|m(?:ac|obility)|pr(?:es(?:s|ent)|icing)|recommend|support|user|windows|your)/)(?\'id\'\\w+)/#'),'homepage'=>'http://prezi.com/','host'=>array('prezi.com'),'iframe'=>array('height'=>400,'src'=>'//prezi.com/embed/{@id}/','width'=>550),'name'=>'Prezi','scrape'=>array(),'tags'=>array('presentations')),
		'reddit'=>array('attributes'=>array(),'example'=>array('http://www.reddit.com/r/pics/comments/304rms/cats_reaction_to_seeing_the_ceiling_fan_move_for/','http://www.reddit.com/r/pics/comments/304rms/cats_reaction_to_seeing_the_ceiling_fan_move_for/cpp2kkl'),'extract'=>array('!(?\'id\'\\w+/comments/\\w+(?:/\\w+/\\w+)?)!'),'homepage'=>'http://www.reddit.com/','host'=>array('reddit.com'),'iframe'=>array('data-s9e-livepreview-ignore-attrs'=>'style','height'=>165,'onload'=>'var a=Math.random();window.addEventListener(\'message\',function(b){{if(b.data.id==a)style.height=b.data.height+\'px\'}});contentWindow.postMessage(\'s9e:\'+a,\'https://s9e.github.io\')','src'=>'https://s9e.github.io/iframe/reddit.min.html#{@id}{@path}','width'=>800),'name'=>'Reddit threads and comments','scrape'=>array(),'source'=>'https://www.reddit.com/wiki/embeds','tags'=>array('social')),
		'rutube'=>array('attributes'=>array(),'example'=>array('http://rutube.ru/video/b920dc58f1397f1761a226baae4d2f3b/','http://rutube.ru/tracks/4118278.html?v=8b490a46447720d4ad74616f5de2affd'),'extract'=>array('!rutube\\.ru/tracks/(?\'id\'\\d+)!'),'homepage'=>'http://rutube.ru/','host'=>array('rutube.ru'),'iframe'=>array('height'=>405,'src'=>'//rutube.ru/play/embed/{@id}','width'=>720),'name'=>'Rutube','scrape'=>array(array('extract'=>array('!rutube\\.ru/play/embed/(?\'id\'\\d+)!'),'match'=>array('!rutube\\.ru/video/[0-9a-f]{32}!'))),'tags'=>array('.ru')),
		'scribd'=>array('attributes'=>array(),'example'=>'http://www.scribd.com/doc/237147661/Calculus-2-Test-1-Review?in_collection=5291376','extract'=>array('!scribd\\.com/(?:mobile/)?doc(?:ument)?/(?\'id\'\\d+)!'),'homepage'=>'http://www.scribd.com/','host'=>array('scribd.com'),'iframe'=>array('height'=>500,'src'=>'https://www.scribd.com/embeds/{@id}/content?view_mode=scroll&show_recommendations=false','style'=>array('resize'=>'vertical'),'width'=>'100%'),'name'=>'Scribd','scrape'=>array(),'tags'=>array('documents','presentations')),
		'slideshare'=>array('attributes'=>array(),'example'=>'http://www.slideshare.net/Slideshare/how-23431564','extract'=>array('!slideshare\\.net/[^/]+/[-\\w]+-(?\'id\'\\d{6,})$!'),'homepage'=>'http://www.slideshare.net/','host'=>array('slideshare.net'),'iframe'=>array('height'=>356,'src'=>'//www.slideshare.net/slideshow/embed_code/{@id}','width'=>427),'name'=>'SlideShare','scrape'=>array(array('extract'=>array('!"presentationId":(?\'id\'\\d+)!'),'match'=>array('@slideshare\\.net/[^/]+/\\w(?![-\\w]+-\\d{6,}$)@'))),'source'=>'http://help.slideshare.com/forums/67665-Embedding-Sharing','tags'=>array('presentations')),
		'soundcloud'=>array('attributes'=>array(),'example'=>array('http://api.soundcloud.com/tracks/98282116','https://soundcloud.com/andrewbird/three-white-horses','https://soundcloud.com/tenaciousd/sets/rize-of-the-fenix/'),'extract'=>array('@https?://(?:api\\.)?soundcloud\\.com/(?!pages/)(?\'id\'[-/\\w]+/[-/\\w]+|^[^/]+/[^/]+$)@i','@api\\.soundcloud\\.com/playlists/(?\'playlist_id\'\\d+)@','@api\\.soundcloud\\.com/tracks/(?\'track_id\'\\d+)(?:\\?secret_token=(?\'secret_token\'[-\\w]+))?@','@soundcloud\\.com/(?!playlists|tracks)[-\\w]+/[-\\w]+/(?=s-)(?\'secret_token\'[-\\w]+)@'),'homepage'=>'https://soundcloud.com/','host'=>array('soundcloud.com'),'iframe'=>array('height'=>'<xsl:choose><xsl:when test="@playlist_id or contains(@id,\'/sets/\')">450</xsl:when><xsl:otherwise>166</xsl:otherwise></xsl:choose>','max-width'=>900,'src'=>'https://w.soundcloud.com/player/?url=<xsl:choose><xsl:when test="@playlist_id">https%3A//api.soundcloud.com/playlists/<xsl:value-of select="@playlist_id"/></xsl:when><xsl:when test="@track_id">https%3A//api.soundcloud.com/tracks/<xsl:value-of select="@track_id"/>&amp;secret_token=<xsl:value-of select="@secret_token"/></xsl:when><xsl:otherwise><xsl:if test="not(contains(@id,\'://\'))">https%3A//soundcloud.com/</xsl:if><xsl:value-of select="@id"/></xsl:otherwise></xsl:choose>','width'=>'100%'),'name'=>'SoundCloud','scrape'=>array(array('extract'=>array('@soundcloud:tracks:(?\'track_id\'\\d+)@'),'header'=>'User-agent: PHP (not Mozilla)','match'=>array('@soundcloud\\.com/(?!playlists/\\d|tracks/\\d)[-\\w]+/[-\\w]@')),array('extract'=>array('@soundcloud://playlists:(?\'playlist_id\'\\d+)@'),'header'=>'User-agent: PHP (not Mozilla)','match'=>array('@soundcloud\\.com/\\w+/sets/@'))),'source'=>'https://soundcloud.com/pages/widgets','tags'=>array('music')),
		'sportsnet'=>array('attributes'=>array(),'example'=>'http://www.sportsnet.ca/soccer/west-ham-2-hull-2/','extract'=>array(),'homepage'=>'http://www.sportsnet.ca/','host'=>array('sportsnet.ca'),'iframe'=>array('src'=>'https://images.rogersdigitalmedia.com/video_service.php?videoId={@id}&playerKey=AQ~~,AAAAAGWRwLc~,cRCmKE8Utf7OFWP38XQcokFZ80fR-u_y&autoStart=false&width=100%25&height=100%25'),'name'=>'Sportsnet','scrape'=>array(array('extract'=>array('/vid(?:eoId)?=(?\'id\'\\d+)/','/param name="@videoPlayer" value="(?\'id\'\\d+)"/'),'match'=>array('//'))),'tags'=>array('.ca','sports')),
		'spotify'=>array('attributes'=>array(),'example'=>array('https://open.spotify.com/user/ryan.lloyd.french/playlist/4jHNeLTj7CnL5JwZzmnqOL','https://open.spotify.com/track/3CPjqkaMwrbht1lJpELoY0?si=K7cm7-dWTR6U7BjDn1oP7g','https://play.spotify.com/album/5OSzFvFAYuRh93WDNCTLEz'),'extract'=>array('!(?:open|play)\\.spotify\\.com/(?\'id\'(?:album|artist|track|user)(?:[:/][-.\\w]+)+)!'),'homepage'=>'https://www.spotify.com/','host'=>array('open.spotify.com','play.spotify.com'),'iframe'=>array('allow'=>'encrypted-media','height'=>400,'src'=>'https://open.spotify.com/embed/{translate(@id,\':\',\'/\')}{@path}','width'=>400),'name'=>'Spotify','scrape'=>array(),'source'=>array('https://developer.spotify.com/technologies/widgets/spotify-play-button/','http://news.spotify.com/2008/01/14/linking-to-spotify/'),'tags'=>array('music')),
		'steamstore'=>array('attributes'=>array(),'example'=>'http://store.steampowered.com/app/250520/','extract'=>array('!store.steampowered.com/app/(?\'id\'\\d+)!'),'homepage'=>'http://store.steampowered.com/','host'=>array('store.steampowered.com'),'iframe'=>array('height'=>190,'max-width'=>900,'src'=>'//store.steampowered.com/widget/{@id}','width'=>'100%'),'name'=>'Steam store','scrape'=>array(),'tags'=>array('gaming')),
		'stitcher'=>array('attributes'=>array(),'example'=>'http://www.stitcher.com/podcast/twit/tech-news-today/e/twitter-shares-fall-18-percent-after-earnings-leak-on-twitter-37808629','extract'=>array(),'homepage'=>'http://www.stitcher.com/','host'=>array('stitcher.com'),'iframe'=>array('height'=>150,'max-width'=>900,'src'=>'//app.stitcher.com/splayer/f/{@fid}/{@eid}','width'=>'100%'),'name'=>'Stitcher','scrape'=>array(array('extract'=>array('!data-eid="(?\'eid\'\\d+)!','!data-fid="(?\'fid\'\\d+)!'),'match'=>array('!/podcast/!'))),'tags'=>array('podcasts')),
		'strawpoll'=>array('attributes'=>array(),'example'=>'http://strawpoll.me/738091','extract'=>array('!strawpoll\\.me/(?\'id\'\\d+)!'),'homepage'=>'http://strawpoll.me/','host'=>array('strawpoll.me'),'iframe'=>array('scrolling'=>'','src'=>'//www.strawpoll.me/embed_1/{@id}'),'name'=>'Straw Poll','scrape'=>array()),
		'streamable'=>array('attributes'=>array(),'example'=>'http://streamable.com/e4d','extract'=>array('!streamable\\.com/(?\'id\'\\w+)!'),'homepage'=>'http://streamable.com/','host'=>array('streamable.com'),'iframe'=>array('src'=>'//streamable.com/e/{@id}'),'name'=>'Streamable','scrape'=>array(),'tags'=>array('videos')),
		'streamja'=>array('attributes'=>array(),'example'=>'https://streamja.com/2nr','extract'=>array('@streamja\\.com/(?!login|signup|terms|videos)(?\'id\'\\w+)@'),'homepage'=>'https://streamja.com','host'=>array('streamja.com'),'iframe'=>array('src'=>'https://streamja.com/embed/{@id}'),'name'=>'Streamja','scrape'=>array(),'tags'=>array('sports')),
		'teamcoco'=>array('attributes'=>array(),'example'=>array('http://teamcoco.com/video/serious-jibber-jabber-a-scott-berg-full-episode','http://teamcoco.com/video/73784/historian-a-scott-berg-serious-jibber-jabber-with-conan-obrien'),'extract'=>array('!teamcoco\\.com/video/(?\'id\'\\d+)!'),'homepage'=>'http://teamcoco.com/','host'=>array('teamcoco.com'),'iframe'=>array('src'=>'//teamcoco.com/embed/v/{@id}'),'name'=>'Team Coco','scrape'=>array(array('extract'=>array('!embed/v/(?\'id\'\\d+)!'),'match'=>array('!teamcoco\\.com/video/.!'))),'tags'=>array('entertainment')),
		'ted'=>array('attributes'=>array(),'example'=>array('http://www.ted.com/talks/eli_pariser_beware_online_filter_bubbles.html','http://embed.ted.com/playlists/26/our_digital_lives.html'),'extract'=>array('#ted\\.com/(?\'id\'(?:talk|playlist)s/[-\\w]+(?:\\.html)?)(?![-\\w]|/transcript)#i'),'homepage'=>'http://www.ted.com/','host'=>array('ted.com'),'iframe'=>array('src'=>'//embed.ted.com/<xsl:value-of select="@id"/><xsl:if test="not(contains(@id,\'.html\'))">.html</xsl:if>'),'name'=>'TED Talks','scrape'=>array(),'source'=>'http://blog.ted.com/2011/04/01/now-you-can-embed-tedtalks-with-subtitles-enabled/','tags'=>array('presentations')),
		'telegram'=>array('attributes'=>array(),'example'=>'https://t.me/durov/68','extract'=>array('@//t.me/(?!addstickers/|joinchat/)(?\'id\'\\w+/\\d+)@'),'homepage'=>'https://telegram.org/','host'=>array('t.me'),'iframe'=>array('data-s9e-livepreview-ignore-attrs'=>'style','height'=>96,'onload'=>'window.addEventListener(\'message\',function(e){{if(e.source===contentWindow)style.height=e.data}});contentWindow.postMessage(\'\',\'https://s9e.github.io\')','src'=>'https://s9e.github.io/iframe/telegram.min.html#{@id}','width'=>500),'name'=>'Telegram','scrape'=>array(),'tags'=>array('social')),
		'theatlantic'=>array('attributes'=>array(),'example'=>'http://www.theatlantic.com/video/index/358928/computer-vision-syndrome-and-you/','extract'=>array('!theatlantic\\.com/video/index/(?\'id\'\\d+)!'),'homepage'=>'http://www.theatlantic.com/video/','host'=>array('theatlantic.com'),'iframe'=>array('src'=>'//www.theatlantic.com/video/iframe/{@id}/'),'name'=>'The Atlantic Video','scrape'=>array(),'tags'=>array('news')),
		'theguardian'=>array('attributes'=>array(),'example'=>'http://www.theguardian.com/world/video/2016/apr/07/tokyos-hedgehog-cafe-encourages-you-to-embrace-prickly-pets-video','extract'=>array('!theguardian\\.com/(?\'id\'\\w+/video/[-/\\w]+)!'),'homepage'=>'http://www.theguardian.com/video','host'=>array('theguardian.com'),'iframe'=>array('src'=>'//embed.theguardian.com/embed/video/{@id}'),'name'=>'The Guardian','scrape'=>array(),'tags'=>array('news')),
		'theonion'=>array('attributes'=>array(),'example'=>array('http://www.theonion.com/video/nation-successfully-completes-mothers-day-by-918-a,35998/','http://www.theonion.com/video/the-onion-reviews-avengers-age-of-ultron-38524'),'extract'=>array('!theonion\\.com/video/[-\\w]+[-,](?\'id\'\\d+)!'),'homepage'=>'http://www.theonion.com/video/','host'=>array('theonion.com'),'iframe'=>array('src'=>'//www.theonion.com/video_embed/?id={@id}'),'name'=>'The Onion','scrape'=>array(),'tags'=>array('entertainment')),
		'tinypic'=>array('attributes'=>array(),'example'=>array('http://tinypic.com/player.php?v=29x86j9&s=8','http://tinypic.com/r/29x86j9/8'),'extract'=>array('!tinypic\\.com/player\\.php\\?v=(?\'id\'\\w+)&s=(?\'s\'\\d+)!','!tinypic\\.com/r/(?\'id\'\\w+)/(?\'s\'\\d+)!'),'flash'=>array('padding-height'=>30,'src'=>'//tinypic.com/player.swf?file={@id}&s={@s}'),'homepage'=>'http://tinypic.com/','host'=>array('tinypic.com'),'name'=>'TinyPic videos','scrape'=>array(array('extract'=>array('!file=(?\'id\'\\w+)&amp;s=(?\'s\'\\d+)!'),'match'=>array('!tinypic\\.com/(?:m|usermedia)/!'))),'tags'=>array('images')),
		'tmz'=>array('attributes'=>array(),'example'=>'http://www.tmz.com/videos/0_2pr9x3rb/','extract'=>array('@tmz\\.com/videos/(?\'id\'\\w+)@'),'homepage'=>'http://www.tmz.com/videos','host'=>array('tmz.com'),'iframe'=>array('src'=>'//www.kaltura.com/index.php/kwidget/cache_st/133592691/wid/_591531/partner_id/591531/uiconf_id/9071262/entry_id/{@id}'),'name'=>'TMZ','scrape'=>array(),'tags'=>array('gossip')),
		'traileraddict'=>array('attributes'=>array(),'example'=>'http://www.traileraddict.com/the-amazing-spider-man-2/super-bowl-tv-spot','extract'=>array(),'homepage'=>'http://www.traileraddict.com/','host'=>array('traileraddict.com'),'iframe'=>array('src'=>'//v.traileraddict.com/{@id}'),'name'=>'Trailer Addict','scrape'=>array(array('extract'=>array('@v\\.traileraddict\\.com/(?\'id\'\\d+)@'),'match'=>array('@traileraddict\\.com/(?!tags/)[^/]+/.@'))),'tags'=>array('movies')),
		'tumblr'=>array('attributes'=>array(),'example'=>'http://mrbenvey.tumblr.com/post/104191225637','extract'=>array('!(?\'name\'[-\\w]+)\\.tumblr\\.com/post/(?\'id\'\\d+)!'),'homepage'=>'https://www.tumblr.com/','host'=>array('tumblr.com'),'iframe'=>array('data-s9e-livepreview-ignore-attrs'=>'style','height'=>180,'onload'=>'var a=Math.random();window.addEventListener(\'message\',function(b){{if(b.data.id==a)style.height=b.data.height+\'px\'}});contentWindow.postMessage(\'s9e:\'+a,\'https://s9e.github.io\')','src'=>'https://s9e.github.io/iframe/tumblr.min.html#{@key}/{@id}','width'=>520),'name'=>'Tumblr','scrape'=>array(array('extract'=>array('!did=\\\\u0022(?\'did\'[-\\w]+)!','!embed\\\\/post\\\\/(?\'key\'[-\\w]+)!'),'match'=>array('!\\w\\.tumblr\\.com/post/\\d!'),'url'=>'http://www.tumblr.com/oembed/1.0?url=http://{@name}.tumblr.com/post/{@id}')),'tags'=>array('social')),
		'twitch'=>array('attributes'=>array(),'example'=>array('http://www.twitch.tv/twitch','http://www.twitch.tv/twitch/v/29415830?t=17m17s','https://www.twitch.tv/videos/29415830?t=17m17s','https://clips.twitch.tv/twitch/HorribleWoodpeckerHassanChop','https://clips.twitch.tv/NeighborlyBetterJellyfishWTRuck'),'extract'=>array('#twitch\\.tv/(?:videos|\\w+/v)/(?\'video_id\'\\d+)?#','#www\\.twitch\\.tv/(?!videos/)(?\'channel\'\\w+)#','#t=(?\'t\'(?:(?:\\d+h)?\\d+m)?\\d+s)#','#clips\\.twitch\\.tv/(?:(?\'channel\'\\w+)/)?(?\'clip_id\'\\w+)#'),'homepage'=>'http://www.twitch.tv/','host'=>array('twitch.tv'),'iframe'=>array('src'=>'//<xsl:choose><xsl:when test="@clip_id">clips.twitch.tv/embed?autoplay=false&amp;clip=<xsl:if test="@channel"><xsl:value-of select="@channel"/>/</xsl:if><xsl:value-of select="@clip_id"/></xsl:when><xsl:otherwise>player.twitch.tv/?autoplay=false&amp;<xsl:choose><xsl:when test="@video_id">video=v<xsl:value-of select="@video_id"/></xsl:when><xsl:otherwise>channel=<xsl:value-of select="@channel"/></xsl:otherwise></xsl:choose><xsl:if test="@t">&amp;time=<xsl:value-of select="@t"/></xsl:if></xsl:otherwise></xsl:choose>'),'name'=>'Twitch','scrape'=>array(),'source'=>'https://github.com/justintv/Twitch-API/blob/master/embed-video.md','tags'=>array('gaming','livestreaming')),
		'twitter'=>array('attributes'=>array(),'example'=>array('https://twitter.com/IJasonAlexander/statuses/526635414338023424','https://mobile.twitter.com/DerekTVShow/status/463372588690202624','https://twitter.com/#!/IJasonAlexander/status/526635414338023424'),'extract'=>array('@twitter\\.com/(?:#!/)?\\w+/status(?:es)?/(?\'id\'\\d+)@'),'homepage'=>'https://twitter.com/','host'=>array('twitter.com'),'iframe'=>array('allow'=>'autoplay *','data-s9e-livepreview-ignore-attrs'=>'style','height'=>186,'onload'=>'var a=Math.random();window.addEventListener(\'message\',function(b){{if(b.data.id==a)style.height=b.data.height+\'px\'}});contentWindow.postMessage(\'s9e:\'+a,\'https://s9e.github.io\')','src'=>'https://s9e.github.io/iframe/twitter.min.html#{@id}','style'=>array('background'=>'url(https://abs.twimg.com/favicons/favicon.ico) no-repeat 50% 50%'),'width'=>500),'name'=>'Twitter','scrape'=>array(),'tags'=>array('social')),
		'ustream'=>array('attributes'=>array(),'choose'=>array('otherwise'=>array('iframe'=>array('src'=>'//www.ustream.tv/embed/{@cid}?html5ui')),'when'=>array('iframe'=>array('src'=>'//www.ustream.tv/embed/recorded/{@vid}?html5ui'),'test'=>'@vid')),'example'=>array('http://www.ustream.tv/channel/ps4-ustream-gameplay','http://www.ustream.tv/baja1000tv','http://www.ustream.tv/recorded/40688256'),'extract'=>array('!ustream\\.tv/recorded/(?\'vid\'\\d+)!'),'homepage'=>'http://www.ustream.tv/','host'=>array('ustream.tv'),'name'=>'Ustream','scrape'=>array(array('extract'=>array('!embed/(?\'cid\'\\d+)!'),'match'=>array('#ustream\\.tv/(?!explore/|platform/|recorded/|search\\?|upcoming$|user/)(?:channel/)?[-\\w]+#'))),'tags'=>array('gaming')),
		'vbox7'=>array('attributes'=>array(),'example'=>'http://vbox7.com/play:3975300ec6','extract'=>array('!vbox7\\.com/play:(?\'id\'[\\da-f]+)!'),'homepage'=>'http://vbox7.com/','host'=>array('vbox7.com'),'iframe'=>array('src'=>'//vbox7.com/emb/external.php?vid={@id}'),'name'=>'VBOX7','scrape'=>array(),'tags'=>array('.bg')),
		'veoh'=>array('attributes'=>array(),'example'=>'http://www.veoh.com/watch/v6335577TeB8kyNR','extract'=>array('!veoh\\.com/(?:m/watch\\.php\\?v=|watch/)v(?\'id\'\\w+)!'),'flash'=>array('padding-height'=>40,'src'=>'//www.veoh.com/swf/webplayer/WebPlayer.swf?version=AFrontend.5.7.0.1509&permalinkId=v{@id}&player=videodetailsembedded&videoAutoPlay=0&id=anonymous'),'homepage'=>'http://www.veoh.com/','host'=>array('veoh.com'),'name'=>'Veoh','scrape'=>array(),'tags'=>array('videos')),
		'vevo'=>array('attributes'=>array(),'example'=>array('http://www.vevo.com/watch/USUV71400682','http://www.vevo.com/watch/eminem/the-monster-explicit/USUV71302925'),'extract'=>array('!vevo\\.com/watch/(.*?/)?(?\'id\'[A-Z]+\\d+)!'),'homepage'=>'https://vevo.com/','host'=>array('vevo.com'),'iframe'=>array('src'=>'https://embed.vevo.com/?isrc={@id}'),'name'=>'Vevo','scrape'=>array(),'tags'=>array('music')),
		'videodetective'=>array('attributes'=>array(),'example'=>'http://www.videodetective.com/movies/zootopia/658596','extract'=>array('!videodetective\\.com/\\w+/[-\\w]+/(?:trailer/P0*)?(?\'id\'\\d+)!'),'homepage'=>'http://www.videodetective.com/','host'=>array('videodetective.com'),'iframe'=>array('src'=>'//www.videodetective.com/embed/video/?options=false&autostart=false&playlist=none&publishedid={@id}'),'name'=>'Video Detective','scrape'=>array()),
		'videomega'=>array('attributes'=>array(),'example'=>'http://videomega.tv/?ref=aPRKXgQdaD','extract'=>array('!videomega\\.tv/\\?ref=(?\'id\'\\w+)!'),'homepage'=>'http://videomega.tv/','host'=>array('videomega.tv'),'iframe'=>array('src'=>'//videomega.tv/iframe.php?ref={@id}'),'name'=>'Videomega','scrape'=>array(),'tags'=>array('videos')),
		'vimeo'=>array('attributes'=>array('t'=>array('filterChain'=>array('#timestamp'))),'example'=>array('http://vimeo.com/67207222','http://vimeo.com/channels/staffpicks/67207222'),'extract'=>array('!vimeo\\.com/(?:channels/[^/]+/|video/)?(?\'id\'\\d+)!','!#t=(?\'t\'[\\dhms]+)!'),'homepage'=>'http://vimeo.com/','host'=>array('vimeo.com'),'iframe'=>array('src'=>'//player.vimeo.com/video/<xsl:value-of select="@id"/><xsl:if test="@t">#t=<xsl:value-of select="@t"/></xsl:if>'),'name'=>'Vimeo','scrape'=>array(),'source'=>'http://developer.vimeo.com/player/embedding','tags'=>array('videos')),
		'vine'=>array('attributes'=>array(),'example'=>'https://vine.co/v/bYwPIluIipH','extract'=>array('!vine\\.co/v/(?\'id\'[^/]+)!'),'homepage'=>'https://vine.co/','host'=>array('vine.co'),'iframe'=>array('height'=>480,'src'=>'https://vine.co/v/{@id}/embed/simple?audio=1','width'=>480),'name'=>'Vine','scrape'=>array(),'tags'=>array('social','videos')),
		'vk'=>array('attributes'=>array(),'example'=>array('http://vkontakte.ru/video-7016284_163645555','http://vk.com/video226156999_168963041','http://vk.com/video_ext.php?oid=121599878&id=165723901&hash=e06b0878046e1d32'),'extract'=>array('!vk(?:\\.com|ontakte\\.ru)/(?:[\\w.]+\\?z=)?video(?\'oid\'-?\\d+)_(?\'vid\'\\d+)!','!vk(?:\\.com|ontakte\\.ru)/video_ext\\.php\\?oid=(?\'oid\'-?\\d+)&id=(?\'vid\'\\d+)&hash=(?\'hash\'[0-9a-f]+)!'),'homepage'=>'https://vk.com/','host'=>array('vk.com','vkontakte.ru'),'iframe'=>array('src'=>'//vk.com/video_ext.php?oid={@oid}&id={@vid}&hash={@hash}&hd=1'),'name'=>'VK','scrape'=>array(array('extract'=>array('!embed_hash(?:=|":")(?\'hash\'[0-9a-f]+)!'),'header'=>'User-agent: Mozilla/5.0 (X11; Linux x86_64; rv:60.0) Gecko/20100101 Firefox/60.0','match'=>array('!vk.*?video-?\\d+_\\d+!'),'url'=>'http://vk.com/video{@oid}_{@vid}')),'tags'=>array('.ru')),
		'vocaroo'=>array('attributes'=>array(),'example'=>'http://vocaroo.com/i/s0dRy3rZ47bf','extract'=>array('!vocaroo\\.com/i/(?\'id\'\\w+)!'),'flash'=>array('height'=>44,'src'=>'//vocaroo.com/player.swf?playMediaID={@id}&autoplay=0','width'=>148),'homepage'=>'http://vocaroo.com/','host'=>array('vocaroo.com'),'name'=>'Vocaroo','scrape'=>array()),
		'vox'=>array('attributes'=>array(),'example'=>'http://www.vox.com/2015/7/21/9005857/ant-man-marvel-apology-review#ooid=ltbzJkdTpKpE-O6hOfD3YJew3t3MppXb','extract'=>array('!vox.com/.*#ooid=(?\'id\'[-\\w]+)!'),'homepage'=>'http://www.vox.com/','host'=>array('vox.com'),'iframe'=>array('src'=>'//player.ooyala.com/iframe.html#pbid=a637d53c5c0a43c7bf4e342886b9d8b0&ec={@id}'),'name'=>'Vox','scrape'=>array()),
		'washingtonpost'=>array('attributes'=>array(),'example'=>array('https://www.washingtonpost.com/video/c/video/df229384-9216-11e6-bc00-1a9756d4111b','https://www.washingtonpost.com/video/world/aurora-display-lights-up-the-night-sky-over-finland/2016/10/14/df229384-9216-11e6-bc00-1a9756d4111b_video.html'),'extract'=>array('#washingtonpost\\.com/video/c/\\w+/(?\'id\'[-0-9a-f]+)#','#washingtonpost\\.com/video/[-/\\w]+/(?\'id\'[-0-9a-f]+)_video\\.html#'),'homepage'=>'https://www.washingtonpost.com/video/','host'=>array('washingtonpost.com'),'iframe'=>array('src'=>'//www.washingtonpost.com/video/c/embed/{@id}'),'name'=>'Washington Post Video','scrape'=>array(),'tags'=>array('news')),
		'wshh'=>array('attributes'=>array(),'example'=>array('http://www.worldstarhiphop.com/videos/video.php?v=wshhZ8F22UtJ8sLHdja0','http://m.worldstarhiphop.com/video.php?v=wshh2SXFFe7W14DqQx61','http://www.worldstarhiphop.com/featured/71630'),'extract'=>array('!worldstarhiphop\\.com/featured/(?\'id\'\\d+)!'),'homepage'=>'http://www.worldstarhiphop.com/','host'=>array('worldstarhiphop.com'),'iframe'=>array('src'=>'//www.worldstarhiphop.com/embed/{@id}'),'name'=>'WorldStarHipHop','scrape'=>array(array('extract'=>array('!v: ?"?(?\'id\'\\d+)!'),'match'=>array('!worldstarhiphop\\.com/(?:\\w+/)?video\\.php\\?v=\\w+!'))),'tags'=>array('videos')),
		'wsj'=>array('attributes'=>array(),'example'=>array('http://www.wsj.com/video/nba-players-primp-with-pedicures/9E476D54-6A60-4F3F-ABC1-411014552DE6.html','http://live.wsj.com/#!09FB2B3B-583E-4284-99D8-FEF6C23BE4E2','http://live.wsj.com/video/seahawks-qb-russell-wilson-on-super-bowl-win/9B3DF790-9D20-442C-B564-51524B06FD26.html'),'extract'=>array('@wsj\\.com/[^#]*#!(?\'id\'[-0-9A-F]{36})@','@wsj\\.com/video/[^/]+/(?\'id\'[-0-9A-F]{36})@'),'homepage'=>'http://www.wsj.com/video/','host'=>array('wsj.com'),'iframe'=>array('height'=>288,'src'=>'//video-api.wsj.com/api-video/player/iframe.html?guid={@id}','width'=>512),'name'=>'The Wall Street Journal Online','scrape'=>array(array('extract'=>array('@guid=(?\'id\'[-0-9A-F]{36})@'),'match'=>array('@on\\.wsj\\.com/\\w@'))),'tags'=>array('news')),
		'xboxclips'=>array('attributes'=>array(),'example'=>'http://xboxclips.com/dizturbd/e3a2d685-3e9f-454f-89bf-54ddea8f29b3','extract'=>array('@xboxclips\\.com/(?\'user\'[^/]+)/(?!screenshots/)(?\'id\'[-0-9a-f]+)@'),'homepage'=>'http://xboxclips.com/','host'=>array('xboxclips.com'),'iframe'=>array('src'=>'//xboxclips.com/{@user}/{@id}/embed'),'name'=>'XboxClips','scrape'=>array(),'tags'=>array('gaming')),
		'xboxdvr'=>array('attributes'=>array(),'example'=>'http://xboxdvr.com/gamer/LOXITANE/video/12463958','extract'=>array('!xboxdvr\\.com/gamer/(?\'user\'[^/]+)/video/(?\'id\'\\d+)!'),'homepage'=>'http://xboxdvr.com/','host'=>array('xboxdvr.com'),'iframe'=>array('src'=>'//xboxdvr.com/gamer/{@user}/video/{@id}/embed'),'name'=>'Xbox DVR','scrape'=>array(),'tags'=>array('gaming')),
		'yahooscreen'=>array('attributes'=>array(),'example'=>array('https://screen.yahoo.com/mr-short-term-memory-000000263.html','https://screen.yahoo.com/dana-carvey-snl-skits/church-chat-satan-000000502.html'),'extract'=>array('!screen\\.yahoo\\.com/(?:[-\\w]+/)?(?\'id\'[-\\w]+)\\.html!'),'homepage'=>'https://screen.yahoo.com/','host'=>array('screen.yahoo.com'),'iframe'=>array('src'=>'https://screen.yahoo.com/{@id}.html?format=embed'),'name'=>'Yahoo! Screen','scrape'=>array(),'tags'=>array('movies')),
		'youku'=>array('attributes'=>array(),'example'=>'http://v.youku.com/v_show/id_XMzY0NTMyMTgxMg==.html','extract'=>array('!youku\\.com/v(?:_show|ideo)/id_(?\'id\'\\w+=*)!'),'homepage'=>'http://www.youku.com/','host'=>array('youku.com'),'iframe'=>array('src'=>'//player.youku.com/embed/{@id}'),'name'=>'Youku','scrape'=>array(),'tags'=>array('.cn')),
		'youtube'=>array('attributes'=>array('id'=>array('filterChain'=>array('#identifier')),'t'=>array('filterChain'=>array('#timestamp'))),'example'=>array('http://www.youtube.com/watch?v=-cEzsCAzTak','http://youtu.be/-cEzsCAzTak','http://www.youtube.com/watch?feature=player_detailpage&v=jofNR_WkoCE#t=40','http://www.youtube.com/watch?v=pC35x6iIPmo&list=PLOU2XLYxmsIIxJrlMIY5vYXAFcO5g83gA'),'extract'=>array('!youtube\\.com/(?:watch.*?v=|v/|attribution_link.*?v%3D)(?\'id\'[-\\w]+)!','!youtu\\.be/(?\'id\'[-\\w]+)!','@[#&?]t=(?\'t\'\\d[\\dhms]*)@','!&list=(?\'list\'[-\\w]+)!'),'homepage'=>'http://www.youtube.com/','host'=>array('youtube.com','youtu.be'),'iframe'=>array('src'=>'https://www.youtube.com/embed/<xsl:value-of select="@id"/><xsl:if test="@list">?list=<xsl:value-of select="@list"/></xsl:if><xsl:if test="@t"><xsl:choose><xsl:when test="@list">&amp;</xsl:when><xsl:otherwise>?</xsl:otherwise></xsl:choose>start=<xsl:value-of select="@t"/></xsl:if>','style'=>array('background'=>'url(https://i.ytimg.com/vi/{@id}/hqdefault.jpg) 50% 50% / cover')),'name'=>'YouTube','scrape'=>array(array('extract'=>array('!/vi/(?\'id\'[-\\w]+)!'),'match'=>array('!/shared\\?ci=!'))),'source'=>'http://support.google.com/youtube/bin/answer.py?hl=en&answer=171780','tags'=>array('livestreaming','videos'))
	);
}